# include "../lexgen1/ldefs.c"
tail(ks)
{
int i, c;
if (!ratfor)
	printf(output,";}\n}\n");
else
	{
	printf(output, "\n30998 if (nstr .lt. 0 .or. nstr .gt. %d) goto 30999\n", ks);
	printf(output, "nstr = nstr+1\n");
	printf(output, "goto (");
	for(i=0; i<ks; i++)
		printf(output,"%d,\n",30000+i);
	printf(output, "30999),nstr\n");
	printf(output, "}\nend\n");
	}
while(c=getchar())
	cputc(c,output);

if (!ratfor) printf(output, "#");
printf(output, " define YYNEWLINE %d\n", ctable['\n']);
}
